Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface WSDLElement

All Known Subinterfaces:
  Binding, BindingFault, BindingInput, BindingOperation, BindingOutput, Definition, ExtensibilityElement, ExtensibleElement, Fault, HTTPAddress, HTTPBinding, HTTPOperation, HTTPUrlEncoded, HTTPUrlReplacement, Import, Input, Message, MessageReference, MIMEContent, MIMEMimeXml, MIMEMultipartRelated, MIMEPart, Operation, Output, Part, Port, PortType, Service, SOAPAddress, SOAPBinding, SOAPBody, SOAPFault, SOAPHeader, SOAPHeaderBase, SOAPHeaderFault, SOAPOperation, Types, UnknownExtensibilityElement, XSDSchemaExtensibilityElement

    public interface WSDLElement

A representation of the model object 'Element'.

Since:
  1.0
See Also:
  `WSDLPackage.getWSDLElement()`

Method Summary
`void` | `elementChanged(org.w3c.dom.Element changedElement)` Called to indicate that the given element has changed; the element should typically be the same as the one returned `getElement()`.
`WSDLElement` | `getContainer()` Returns the value of the 'Container' reference.
`org.w3c.dom.Element` | `getDocumentationElement()` Returns the value of the 'Documentation Element' attribute
`org.w3c.dom.Element` | `getElement()` Returns the value of the 'Element' attribute
`Definition` | `getEnclosingDefinition()` Returns the Definition that contains this WSDL element.
`void` | `setDocumentationElement(org.w3c.dom.Element value)` Sets the value of the '`Documentation Element`' attribute
`void` | `setElement(org.w3c.dom.Element value)` Sets the value of the '`Element`' attribute
`void` | `setEnclosingDefinition(Definition definition)` Sets the enclosing definition of this WSDL element.
`void` | `updateElement()` Ensures that the underlying DOM `element` both exists and is up-to-date with respect to the model, i.e., it serializes the component and maintains an association with that serialization.
`void` | `updateElement(boolean deep)` Ensures that the underlying DOM `element` both exists and is up-to-date with respect to the model, i.e., it serializes the component and maintains an association with that serialization.

Method Detail

### getDocumentationElement

    org.w3c.dom.Element getDocumentationElement()

  Returns the value of the 'Documentation Element' attribute.

  If the meaning of the 'Documentation Element' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Documentation Element' attribute.
  See Also:
    `setDocumentationElement(Element)`, `WSDLPackage.getWSDLElement_DocumentationElement()`

### setDocumentationElement

    void setDocumentationElement(org.w3c.dom.Element value)

  Sets the value of the '`Documentation Element`' attribute.

  Parameters:
    `value` - the new value of the 'Documentation Element' attribute.
  See Also:
    `getDocumentationElement()`

### getElement

    org.w3c.dom.Element getElement()

  Returns the value of the 'Element' attribute.

  This is the underlying DOM element associated with this component, i.e., the `serialization` of this component.

  Returns:
    the value of the 'Element' attribute.
  See Also:
    `setElement(Element)`, `WSDLPackage.getWSDLElement_Element()`

### setElement

    void setElement(org.w3c.dom.Element value)

  Sets the value of the '`Element`' attribute.

  Parameters:
    `value` - the new value of the 'Element' attribute.
  See Also:
    `getElement()`

### getEnclosingDefinition

    Definition getEnclosingDefinition()

  Returns the Definition that contains this WSDL element.

  Returns:
    the Definition that contains this WSDL element.

### setEnclosingDefinition

    void setEnclosingDefinition(Definition definition)

  Sets the enclosing definition of this WSDL element.

  Parameters:
    `definition` - the Definition that contains this WSDL element.

### updateElement

    void updateElement()

  Ensures that the underlying DOM `element` both exists and is up-to-date with respect to the model, i.e., it serializes the component and maintains an association with that serialization.

  See Also:
    `updateElement(boolean)`, `getElement()`

### updateElement

    void updateElement(boolean deep)

  Ensures that the underlying DOM `element` both exists and is up-to-date with respect to the model, i.e., it serializes the component and maintains an association with that serialization. For `deep == true`, or when ``getElement()` == null`, this does the same thing as `updateElement()`; otherwise, it updates just the DOM element associated with this component to reflect the current state.

  See Also:
    `updateElement()`, `getElement()`

### getContainer

    WSDLElement getContainer()

  Returns the value of the 'Container' reference. This represents the concrete container of this component, i.e., the inverse of the black diamond relations in the UML model.

  Returns:
    the value of the 'Container' reference.

### elementChanged

    void elementChanged(org.w3c.dom.Element changedElement)

  Called to indicate that the given element has changed; the element should typically be the same as the one returned `getElement()`. It is expected that clients will not call this themselves since the DOM event listeners attached to the underlying DOM will invoke these automatically.

  Parameters:
    `changedElement` - the DOM element changed for this instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD